Subject: Re: cygwin x11 doesn't start after windows 10 upgrade
From: Steinar Bang <[email-masked]>
To: [email-masked]
Date: Tue, 04 Aug 2020 14:01:14 +0200
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

>>>>> Eliot Moss <[email-masked]>:
> On 8/2/2020 4:25 PM, Steinar Bang wrote:
>>>>>>> "Holger, Vodafone" <[email-masked]>:
>> 
>>> And I have checked on my system today, my strace output stop at the same tmmon64.dll, so it is likely the reason for the error.
>>> I have opened a service request with our IT and wait for their answer.
>> 
>> Did you get any further with this?
>> 
>> I added the directory C:\cygwin64\bin to the Trend Micro exclusion list,
>> but that didn't help: XWin.exe still won't start.
>> 
>> Is it neccessary to do some kind of cache flushing? If so: how?

> I wonder it you might need to add directories containing the .dll files
> being loaded by your cygwin programs, too ...

I googled up this documentation which states "All subdirectories in the
directory path you specify will also be excluded."
 https://docs.trendmicro.com/all/smb/wfbs-services/server/wfbs-svc/v3.7/en/docs/WebHelp/_WFBS-SVC/C08-Scans/ExcludingFilesFoldersFromScans.htm

I changed the exclusion to be C:\cygwin64

But I still have no luck in starting XWin.exe, unfortunately.

--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple